Skip to content

Add a domain

POST
/v1/domains
curl --request POST \
--url https://api.fromenance.com/v1/domains \
--header 'Content-Type: application/json' \
--cookie fromenance.session_token=<fromenance.session_token> \
--data '{ "domain": "northfieldbank.com", "roles": [ "trust" ] }'

Returns the TXT record to publish at _fromenance.<domain>. The domain is polled every minute for 24 hours, then daily once verified.

Media typeapplication/json
object
domain
required
string
>= 3 characters <= 253 characters
Example
northfieldbank.com
roles
Array<string>
Allowed values: trust sender reply

Domain

Media typeapplication/json
object
id
required
string
domain
required
string
status
required
Any of:
string
Allowed values: pending verified suspended
roles
required
Array
txt_record
required
object
name
required
string
type
required
string
Allowed values: TXT
value
required
string
verified_at
required
string | null
last_checked_at
required
string | null
last_check_result
required
string | null
reply_identity
required
object
resend_domain_id
required
string | null
status
required
string | null
records
required
Array<object> | null
object
record
required
string
name
required
string
type
required
string
value
required
string
priority
number
status
string
created_at
required
string
Example
{
"status": "pending",
"roles": [
"trust"
],
"txt_record": {
"type": "TXT"
}
}